# Uses of Package org.bukkit.attribute (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.attribute

# Uses of Package
org.bukkit.attribute

Packages that use org.bukkit.attribute
Package
Description
com.destroystokyo.paper.entity
io.papermc.paper.entity
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.attribute
Classes relevant to attributes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.

Classes in org.bukkit.attribute used by com.destroystokyo.paper.entity
Class
Description
Attributable
Represents an object which may contain attributes.
Classes in org.bukkit.attribute used by io.papermc.paper.entity
Class
Description
Attributable
Represents an object which may contain attributes.
Classes in org.bukkit.attribute used by org.bukkit
Class
Description
Attributable
Represents an object which may contain attributes.
Attribute
Types of attributes which may be present on an `Attributable`.
AttributeModifier
Concrete implementation of an attribute modifier.
Classes in org.bukkit.attribute used by org.bukkit.attribute
Class
Description
Attribute
Types of attributes which may be present on an `Attributable`.
AttributeInstance
Represents a mutable instance of an attribute and its associated modifiers and values.
AttributeModifier
Concrete implementation of an attribute modifier.
AttributeModifier.Operation
Enumerable operation to be applied.
Classes in org.bukkit.attribute used by org.bukkit.entity
Class
Description
Attributable
Represents an object which may contain attributes.
Classes in org.bukkit.attribute used by org.bukkit.inventory.meta
Class
Description
Attribute
Types of attributes which may be present on an `Attributable`.
AttributeModifier
Concrete implementation of an attribute modifier.
Classes in org.bukkit.attribute used by org.bukkit.potion
Class
Description
Attribute
Types of attributes which may be present on an `Attributable`.
AttributeModifier
Concrete implementation of an attribute modifier.